package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.model.Combo;
import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Estados de los procesos batch
 */

public enum EstadosProcesosBatchEnum {

	PENDIENTE("P", "procesos.estado.pendiente"), //
	INICIADO("I", "procesos.estado.iniciado"), //
	FINALIZADO("F", "procesos.estado.finalizado"), //
	ERROR("E", "procesos.estado.error");

	private EstadosProcesosBatchEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

	public Combo getCombo() {
		return new Combo(id, this.getLabelDesc(), this.getLabelDesc());
	}
}
